> For the complete documentation index, see [llms.txt](https://developers.oxylabs.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.oxylabs.io/products/es/web-scraper-api/features/result-processing-and-storage/cloud-storage/file-name-templating.md).

# Plantilla del nombre de archivo

Por defecto, los archivos de resultados entregados en tu almacenamiento en la nube usan la `{{ job_id }}.{{ extension }}`  plantilla de nombres (p. ej., `7346445033316311041.json`). Puedes especificar una plantilla personalizada de nombres de archivo para los resultados entregados en tu almacenamiento en la nube.&#x20;

Aquí tienes por qué podrías querer hacerlo:

* Los nombres de archivo de resultados pueden ser más informativos
* Los resultados se pueden organizar automáticamente en diferentes directorios.

## Variables de plantilla

Puedes usar cualquier parámetro de entrada que proporciones al crear un trabajo, así como cualquier variable del `job_info` objeto (que se encuentra al final de tu resultado) en tu plantilla de nombres de archivo.

## Uso

{% stepper %}
{% step %}

#### Ejemplo 1: Nombre de archivo personalizado con múltiples variables

Escribe el resultado en `oxylabs.test/google_search_test_7336001481897673729.json`

```json
{
    "source": "google_search",
    "query": "test",
    "storage_type": "s3",
    "storage_url": "oxylabs.test/{{ source }}_{{ query }}_{{ job_id }}.{{ extension }}"
}
```

{% endstep %}

{% step %}

#### Ejemplo 2: Organización de directorios

Escribe el resultado en `oxylabs.test/google_search/7336001481897673729.json`

```json
{
    "source": "google_search",
    "query": "test",
    "storage_type": "s3",
    "storage_url": "oxylabs.test/{{ source }}/"
}
```

{% endstep %}

{% step %}

#### Ejemplo 3: Directorio personalizado con nombre de archivo personalizado

Escribe el resultado en `oxylabs.test/google_search/oxylabs_test_7336001481897673729.json`

```json
{
    "source": "google_search",
    "query": "test",
    "storage_type": "s3",
    "storage_url": "oxylabs.test/{{ source }}/oxylabs_{{ query }}_{{ job_id }}.{{ extension }}"
}
```

{% endstep %}
{% endstepper %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.oxylabs.io/products/es/web-scraper-api/features/result-processing-and-storage/cloud-storage/file-name-templating.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
